public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Haelwenn Monnier" <contact@hacktivis.me>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-java/corretto-bin/
Date: Mon,  1 Apr 2024 21:30:02 +0000 (UTC)	[thread overview]
Message-ID: <1712003661.89e4ca68a3cde4e7020fb4a15ad8791ddd963d93.lanodan@gentoo> (raw)

commit:     89e4ca68a3cde4e7020fb4a15ad8791ddd963d93
Author:     Robert Greener <me <AT> r0bert <DOT> dev>
AuthorDate: Mon Apr  1 20:33:59 2024 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Mon Apr  1 20:34:21 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=89e4ca68

dev-java/corretto-bin: new version 22.0.0.37.1

Signed-off-by: Robert Greener <me <AT> r0bert.dev>

 dev-java/corretto-bin/Manifest                     |  1 +
 .../corretto-bin/corretto-bin-22.0.0.37.1.ebuild   | 91 ++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/dev-java/corretto-bin/Manifest b/dev-java/corretto-bin/Manifest
index 8148de911d..21e2702da1 100644
--- a/dev-java/corretto-bin/Manifest
+++ b/dev-java/corretto-bin/Manifest
@@ -1,4 +1,5 @@
 DIST amazon-corretto-11.0.22.7.1-linux-x64.tar.gz 195214324 BLAKE2B 16dd4d260cd163b73786c445db6ddf8249d4a595dabdca5bffe3c168661a586be08004ca9244478a47578680dfc2f62bec3a7be7b6c91073de66ee90d85ad15e SHA512 9cc7ceee131b3aebabed75749e5fc9782d64083516a8fc42636fe4183eb90c883be8b3f711cc607980f4cabb87a4380593a3eb4df30ca88d7fb1a796dadffefe
 DIST amazon-corretto-17.0.10.8.1-linux-x64.tar.gz 193714285 BLAKE2B 35184de6bfc2bbc1339817a09aeb1ae31d8eb93aaf4d2e936b69537cedf2dae761fc20ba6895a9344007f1cb50319c821361e0913831c4e0fcb05c06f6b62874 SHA512 485bbf9d6a45aac018ae5af5bac1608f81c91c0cacd6904854b33a0ed52267f55a751e97b4fef7dff37d5cf4300701ef3558b910299f0a85676b54c22b69dce7
 DIST amazon-corretto-21.0.2.14.1-linux-x64.tar.gz 209399162 BLAKE2B 8778c7ae7a8588b3a4dd58d5e3c18ca8931b5d4e32c4f308c0f765df7140232d7c800708859d86a66a58275a517edd461c16457159de5ca362d51728559bcd46 SHA512 14264809f297d42163c2c55c827b16eba058c39a36d5e92589419cccf66187b59225b08a8623f556d1febdeedbb2a47975b655b8bd816483d2862c7c44ef0470
+DIST amazon-corretto-22.0.0.37.1-linux-x64.tar.gz 207737618 BLAKE2B 4f7cf43d4de10a44fec207fee62050948cefd532409bfc9122a007aa5a1a9deaf36e919d5773c43be15a3b731936134ee94104702780ec887efc0a43bc4cc781 SHA512 8a4ef82a33cee41b0fd782c9252bc944fa2a10c220e873699276857a32d618a5b4ad2053a06c377d211b691b793125d2c858b3773deaf6dc8a5babe50d05b969
 DIST amazon-corretto-8.402.08.1-linux-x64.tar.gz 118079903 BLAKE2B 5b1ffcabe40e1d6046842a27a65014b055e2dc64736ea9359a74166b68a8435803ce745de7d4bd0d84deaa686c10b4a5d41b9cbb21bc2a0d6542e09042216169 SHA512 4584c80690a1c03fef4764be98ecc808ec1283bed687c0bfc9fc0a6d08d30885ec59aea8a19d0a18bde5ffb33527427c3b8cd41c795a75609514de198c76db76

diff --git a/dev-java/corretto-bin/corretto-bin-22.0.0.37.1.ebuild b/dev-java/corretto-bin/corretto-bin-22.0.0.37.1.ebuild
new file mode 100644
index 0000000000..8305000c24
--- /dev/null
+++ b/dev-java/corretto-bin/corretto-bin-22.0.0.37.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit java-vm-2 toolchain-funcs
+
+MY_PV=${PV/_p/+}
+SLOT=$(ver_cut 1)
+
+SRC_URI="
+    https://corretto.aws/downloads/resources/${PV}/amazon-corretto-${PV}-linux-x64.tar.gz
+"
+
+DESCRIPTION="Prebuilt Java JDK binaries provided by Amazon Web Services"
+HOMEPAGE="https://aws.amazon.com/corretto"
+LICENSE="GPL-2-with-classpath-exception"
+KEYWORDS="~amd64"
+IUSE="alsa cups headless-awt selinux source"
+
+RDEPEND="
+	>=sys-apps/baselayout-java-0.1.0-r1
+	kernel_linux? (
+		media-libs/fontconfig:1.0
+		media-libs/freetype:2
+		media-libs/harfbuzz
+		elibc_glibc? ( >=sys-libs/glibc-2.2.5:* )
+		elibc_musl? ( sys-libs/musl )
+		sys-libs/zlib
+		alsa? ( media-libs/alsa-lib )
+		cups? ( net-print/cups )
+		selinux? ( sec-policy/selinux-java )
+		!headless-awt? (
+			x11-libs/libX11
+			x11-libs/libXext
+			x11-libs/libXi
+			x11-libs/libXrender
+			x11-libs/libXtst
+		)
+	)"
+
+RESTRICT="preserve-libs splitdebug"
+QA_PREBUILT="*"
+
+S="${WORKDIR}/amazon-corretto-${MY_PV}-linux-x64"
+
+pkg_pretend() {
+	if [[ "$(tc-is-softfloat)" != "no" ]]; then
+		die "These binaries require a hardfloat system."
+	fi
+}
+
+src_install() {
+	local dest="/opt/${P}"
+	local ddest="${ED}/${dest#/}"
+
+	# prefer system copy # https://bugs.gentoo.org/776676
+	rm -vf lib/libharfbuzz.so || die
+
+	# Oracle and IcedTea have libjsoundalsa.so depending on
+	# libasound.so.2 but AdoptOpenJDK only has libjsound.so. Weird.
+	if ! use alsa ; then
+		rm -v lib/libjsound.* || die
+	fi
+
+	if use headless-awt ; then
+		rm -v lib/lib*{[jx]awt,splashscreen}* || die
+	fi
+
+	if ! use source ; then
+		rm -v lib/src.zip || die
+	fi
+
+	rm -v lib/security/cacerts || die
+	dosym -r /etc/ssl/certs/java/cacerts "${dest}"/lib/security/cacerts
+
+	dodir "${dest}"
+	cp -pPR * "${ddest}" || die
+
+	# provide stable symlink
+	dosym "${P}" "/opt/${PN}-${SLOT}"
+
+	java-vm_install-env "${FILESDIR}"/${PN}.env.sh
+	java-vm_set-pax-markings "${ddest}"
+	java-vm_revdep-mask
+	java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
+}
+
+pkg_postinst() {
+	java-vm-2_pkg_postinst
+}
\ No newline at end of file


             reply	other threads:[~2024-04-01 21:30 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-01 21:30 Haelwenn Monnier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-18 21:26 [gentoo-commits] repo/proj/guru:master commit in: dev-java/corretto-bin/ Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-18 21:26 Julien Roy
2024-04-16 11:01 Julien Roy
2024-04-16 11:01 Julien Roy
2024-04-03 20:20 Julien Roy
2024-04-03 20:20 Julien Roy
2024-04-01 21:30 Haelwenn Monnier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1712003661.89e4ca68a3cde4e7020fb4a15ad8791ddd963d93.lanodan@gentoo \
    --to=contact@hacktivis.me \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox